Facebook Developers
DocsToolsSupportNewsApps
Log In
  • Social Plugins
    • Like Button
    • Send Button
    • Follow Button
    • Comments
    • Activity Feed
    • Recommendations Box
    • Recommendations Bar
    • Like Box
    • Login Button
    • Registration
    • Facepile
  • Facebook Login
  • Open Graph
  • Facebook APIs
  • Games
  • Payments
  • App Center
  • Promote Your App
  • iOS
  • Android
  • JavaScript
  • PHP
  • More SDKs
  • Plugins
    • Activity Feed
    • Comments
    • Facepile
    • Follow Button
    • Like Box
    • Like Button
    • Login Button
    • Recommendations Bar
    • Recommendations Box
    • Registration
    • Send Button
    • Share Dialog
    • Shared Activity
    • fb:name
    • fb:profile-pic
  • Beta Plugins
    • Migrations
      • Subscribe Button

    Facepile

    After the July 2013 migration, the Send Button will require an absolute URL in the 'href' parameter.

    The Facepile plugin displays the Facebook profile pictures of users who have connected with your page via a global or custom action, or can also be configured to display users that have signed up for your site.

    If you want to display users who have connected to your page via an action, specify with the action parameter

    <fb:facepile href="http://zhen.myfbse.com/rb-roastchicken.html" 
    action="og_recipebox:planning_to_make" width="300" max_rows="1"></fb:facepile>
    

    To display users who have liked your page, specify the URL of your page as the href parameter. To display users who have signed up for your site, specify your application id as the app_id parameter.

    The plugin is available either via a simple iframe you can drop into your page, or if you are using the new JavaScript SDK, you can use the <fb:facepile> XFBML tag.

    (?)
    (?)
    (?)
    medium
    • small
    • medium
    • large
    (?)
    show_count (?)
    (?)
    (?)
    light
    • light
    • dark
    Get Code

    Attributes

    • href - the URL of the page. The plugin will display photos of users who have liked this page. Note: After July 2013 migration, href should be an absolute URL.
    • action - an action type. The plugin will display photos of users who have connected to your app via this action.
    • app_id - if you want the plugin to display users who have connected to your site, specify your application id as this parameter. This parameter is only available in the iframe version of the Facepile. If you are using the XFBML version of the plugin, specify your application id when you initialize the Javascript library.
    • max_rows - the maximum number of rows of faces to display. The XFBML version will dynamically size its height; if you specify a maximum of four rows of faces, but there are only enough friends to fill two rows, the XFBML version of the plugin will set its height for two rows of faces. Default: 1.
    • width - width of the plugin in pixels. Default width: 300px. Minimum width: 200px.
    • size - size of the photos and social context. Default size: medium.
    • colorscheme - the color scheme for the like button. Options: 'light', 'dark'.

    Why is nothing displaying?

    The plugin only displays friends photos. If the user does not have friends who have liked your page or have connected to your site, no faces will be shown.

    If you are displaying users who have liked your page, and no users have liked it yet, the plugin will render nothing. If some users have liked your page, but none of the viewing users friends have liked it, the plugin will display the total number of users who have liked your page.

    If you are displaying users who have connected to your site, and none of the users friends have connected yet, the plugin will render nothing.

    How to show users who have connected to your site

    You need to specify your application id. If you are using the iframe version simply include it as another query parameter. Example:

    <iframe src="http://www.facebook.com/plugins/facepile.php? 
    app_id={YOUR_APP_ID}" scrolling="no" frameborder="0" style="border:none;  
    overflow:hidden; width:200px;" allowTransparency="true"></iframe> 
    

    If you are using the XFBML version specify your application id when you initialize the Javascript library. Example:

    <div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js
    #appId={YOUR_APP_ID}&amp;xfbml=1"></script><fb:facepile></fb:facepile>
    
    Updated on Thursday
    Facebook © 2013 · English (US)
    AboutAdvertisingCareersPlatform PoliciesPrivacy Policy